Kerbal Space Program - Bug #5862

[Mods] A modified Tech Tree doesn't show all dependency lines
11/07/2015 06:33 PM - paranox

Status: Confirmed Start date: 11/07/2015
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

| encountered this bug when building a radially spreading tech tree for my heavily modded career. | tested it without any mods, on a
fresh 1.04 install, and the same issue persists, on both Windows and Linux. It didn't matter if | used the attached prebuilt tech tree or
the stock one and ModuleManager config files to alter it. Both resulted in the same result.

Dependencies themselves seem to work just fine, it's the lines that do not appear in every place they should. | don't know if there's a
limit to how many dependency lines can be shown simultaneously. | don't see why there would be a limit. The bug is primarily
focused on the bottom center area of the tree.

There's a total of 154 nodes and 256 dependecies in the custom tech tree of mine. It's possible there's a few parent configs with
incorrect to and from line variables but at least a vast majority of the ones not showing up are correctly set up as far as | can tell.

History

#1 - 11/11/2015 08:30 AM - paranox

| checked and it happens also in 1.0.5, with no mods, not even ModuleManager. Just replacing the zipped tech tree file shows the new tree but not all
lines are visible.

Here's also a screenshot with an afflicted node selected, all those nodes that should link to it are detected but nothing is rendered on the connection
lines' part.
#2 - 04/21/2016 07:30 PM - paranox
It's happening in 1.1 as well but | noticed that all broken links have either or both of the following lines in the Parent node of a tech node definition:

lineFrom = BOTTOM
lineTo = TOP

Moving the nodes around and altering the links to not use either of above makes them appear correctly, though it's a bit awkward visually. | guess this
is a limitation in KSP itself.

The modified Tech Tree: [[http:/imgur.com/MsBF990]] (3240x2254)

#3 - 06/12/2016 05:25 PM - Grunf

Itis presentin 1.1.2 and 1.1.3 but it was not present in 0.90:
http://imgur.com/a/60ldk

This is a tech tree i used there and it worked fine. The unlock mechanism works, it's just that the arrow is not being displayed

#4 - 07/17/2016 09:55 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 07/17/2016 11:58 AM - paranox

To clarify things further: look at the image and the selected tech node highlighted by green borders. There are no tech node link lines coming to it or
out of it. The details panel on the right shows it has 3 dependencies so the node parent settings work yet no link lines appear on the screen for the
node.
http://imgur.com/MsBF990
http://imgur.com/a/60ldk

The reason, | found, and Grunf confirmed above, is KSP versions after 0.90 not handling the lines properly if they have one or both of the following
link line definitions in a parent link information:

lineFrom = BOTTOM
lineTo = TOP

The modified Tech Tree: [[http:/imgur.com/MsBF990]] (3240x2254)

#6 - 07/17/2016 11:47 PM - TriggerAu
- Subject changed from A modified Tech Tree doesn't show all dependency lines to [Mods] A modified Tech Tree doesn't show all dependency lines
- Status changed from Needs Clarification to Confirmed

- % Done changed from 0 to 10

Hi paranox, we are doing a mass cleanup on reported bugs, you can read more about it here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/

The TL;DR is that its not an indication of anything wrong with your report, there are soo many old bugs in the tracker that we cant give the devs a
good picture of whats still an issue - so we have set up a process for all bugs from pre 1.1.3 to collect the info and get them confirmed for the devs to
be able to plan on whats current and important to the players.

Files

TechTreeLineBug.zip 13.5 KB 11/07/2015 paranox
